import pytest

from ukr.wfst import normalize


@pytest.mark.parametrize("spoken,expected", [
    ("першого січня дві тисячі першого року", '1 січня 2001 року'),
    ("третє червня дві тисячі двадцять третього", '3 червня 2023'),
    ("першого січня", '1 січня'),
    ("двадцять перше лютого", '21 лютого'),
    ("січень дві тисячі першого року", 'січень 2001 року'),
    ("січень дві тисячі першого", 'січень 2001'),
    ("дві тисячі першого рік", '2001 рік'),
    ("дев'ятсот сорок п'ятий рік до нашої ери", '945 рік до н. е.'),
    ("сто вісімдесят восьмий рік нашої ери", '188 рік н. е.'),

])
def test_month(spoken, expected):
    assert normalize(spoken) == expected
